%==========================================================================
function x = Phase_A_NLObj(P,t)
% Objective function to be minimized by NLINFIT 
%==========================================================================

    % Unroll parameters   
    Delta = P(1);  
    Omega = P(2);
    Shift = P(3);
    A     = P(4);
    B     = P(5);

    % Equation to fit
    x = exp(-Delta * t) .* (A*cos(Omega*t) + B*sin(Omega*t)) + Shift;
return